Page MenuHomePhabricator

Error creating thumbnail: oggThumb failed to create the thumbnail.
Closed, ResolvedPublic

Description

Some .ogg files don't have thumbnails.

The following error message occurs:

Error creating thumbnail: oggThumb failed to create the thumbnail.

[ Steps to reproduce bugs ]

  1. Go to [[Commons:File:200908281027-Jack Herrick-Lessons from wikiHow.ogg]]
  1. Go to the thumbnail URL (e.g. right click > view image) - https://upload.wikimedia.org/wikipedia/commons/thumb/f/fd/200908281027-Jack_Herrick-Lessons_from_wikiHow.ogg/mid-200908281027-Jack_Herrick-Lessons_from_wikiHow.ogg.jpg

[ Side note ]

On Wikimedia Commons, the following tech log entry is pointed as related to this bug:

"* 00:34 paravoid: upgrading oggvideotools to 0.8a on all imagescalers, fixing regression on the lucid->precise upgrade"

https://wikitech.wikimedia.org/index.php?title=Server_admin_log&diff=52740&oldid=52739&diffonly=yes


Version: unspecified
Severity: major

Details

Reference
bz41376

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:14 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz41376.
bzimport added a subscriber: Unknown Object (MLST).
aaron added a comment.Oct 25 2012, 5:50 PM

Before that log entry, there was just a different error (about version number).

jgerber wrote:

the file was badly muxed so oggThumb could not handle it, after uploading a remuxed version, the thumbnail is created as expected.

(In reply to comment #2)

the file was badly muxed so oggThumb could not handle it, after uploading a
remuxed version, the thumbnail is created as expected.

Is it the same for all of them? And can you post here the command you used, which got truncated there? Thanks. (Should perhaps be moved to Wikimedia>General if it's a problem with the videos only.)

[[File:200908261225-Martin Alec Walker-Wikipedia 1 0 Offline releases of the English Wikipedia.ogg]]
[[File:200908271404-Eric Zachte-Wikipedia in numbers.ogg]]
[[File:200908261229-Frank Schulenburg and Jay Walsh-NIH Academy 2009 Lessons Learnt and what we left behind.ogg]]
[[File:200908271403-Yaron Koren-Using external data in MediaWiki.ogg]]
[[File:200908261616-Roan Kattouw-The MediaWiki Bot API.ogg]]
[[File:200908261617-Jennifer Riggs-What can Wikimedia learn from the Red Cross and other large volunteer driven organizations.ogg]]
[[File:200908261205-Heiko Hess-Wikis in Print Everything you wanted to know about the new book tool.ogg]]
[[File:200908281200-Jennifer Shkabatur-Wiki Democracy The Promise of Wikis for Civic Engagement in Policymaking.ogg]]
[[File:200908261503-Lila Pagola-Wikipedia en el mundo académico Generación Google y estrategias docentes para colaborar en la construcción de conocimiento.ogg]]
[[File:200908280921-Daniel Kinzler-WikiWord Multilingual image search and more.ogg]]
[[File:200908271202-James R Redmond-Wikimedia OTRS the first line of communication.ogg]]
[[File:200908261705-Gerard Meijssen-Testing the MediaWiki software and its extensions.ogg]]
[[File:200908271140-Christian Becker-Linked Geodata.ogg]]
[[File:200908271206-Bjarmason-Open StreetMap integration into Wikimedia projects.ogg]]
[[File:200908261137-Christian Becker-DBpedia Extracting structured data from Wikipedia.ogg]]
[[File:200908261149-diorkamir jeromyyuchan-myparentswentontheirhoneymoonandtherestishistorythepikiwikiprojectasanexampleofenhancingoutreach keepingwikimediachapterabreastwithlocatefreeculturecounterparts.ogg]]
[[File:200908281410-Andrew Lih-Challenges of Covering the Wikimedia Community.ogg]]
[[File:200908280923-Micah Alpern-Designing a large scale community moderation system for Yahoo Answers.ogg]]
[[File:200908281027-Jack Herrick-Lessons from wikiHow.ogg]]
[[File:200908281120-MatthewCuringa-Wikipedia and Jacques Rancieres philosophy of radical equality.ogg]]
[[File:200908271434-Manuel Schneider-openZIM serving the Wikipedia Offline Projects.ogg]]
[[File:200908271450-Benjamin Mako Hill-The State of Wikimedia Scholarship 2008 2009.ogg]]
[[File:200908261234-Olga Cavalli-Uso de Wikipedia para publicación de trabajos de investigación.ogg]]
[[File:200908271510-Federico Heinz-Comportamiento Emergente.ogg]]
[[File:200908271200-Balasundararaman L-Tamil Wikipedia A case study.ogg]]
[[File:200908271117-Andrew Lih-Interpreting Wikipedias Demographic Decline Implications for an Emergent Community.ogg]]
[[File:200908271610-Nahuel Kahles-Medicion de calidad en Wikipedia en espanol.ogg]]
[[File:200908261645-Rut Jesus-Articles and Authors of Meta Communities in the South American Wikipedias and MetaWiki.ogg]]
[[File:200908281406-Jhessica Francielli Reia-Alternative Licensing and the Free Culture community in Sao Paulo.ogg]]
[[File:320x240.skeleton.and.cmml.ogv]]
[[File:200908261543-Samuel Klein-Wikipedia in rural schools offline wikireaders in Peru.ogg]]
[[File:200908271232-Dennis Tobar-Por que Wikinoticias no ha despegado en la version en espanol.ogg]]
[[File:200908271505-Teemu Leinonen Jukka Purma-Audio Wiki for Mobile Communities Information Systems for the Rest of Us.ogg]]
[[File:200908271117-Katie filbert-Integrating Nasa WorldWind and custom map types into Wikipedia.ogg]]
[[File:200908281120-Arkaitz Zubiaga-Enhancing Navigation on Wikipedia with Social Tags.ogg]]
[[File:200908271122-Ting Chen-Preparation for Board of Trustees Election.ogg]]
[[File:200908280929-Liam Wyatt-Wikimedia and Museums why we need each other and what we can do about it.ogg]]
[[File:200908280947-Robert Stojnic-Wikipedia Search.ogg]]
[[File:200908271557-Naoko Komura-Wikipedia Usability Initiative.ogg]]
[[File:200908271650-Enrique chaparro VA-Mouse o ratones.ogg]]
[[File:200908281435-Frank Schulenburg-Best practice documentation preventing to reinvent the wheel in public outreach.ogg]]
[[File:2010-02-17-10-27-00016.ogv]]
[[File:200908280919-Matias Federico Battocchia-Open source governance Practical Direct Democracy through the Web 2 0.ogg]]
[[File:200908281156-Denny Vrandecic Markus Kroetzsch Yaron Koren-Semantic MediaWiki.ogg]]
[[File:200908281015-Mathias Schindler-The anatomy of the Bundesarchiv cooperation 100000 freely licensed images for Wikimedia Commons.ogg]]
[[File:200908281406-Murugan Pal Mike Linksvayer Samuel Klein-OER Content Interoperability for WikiMedia platforms.ogg]]
[[File:Akvariefiskar.ogg]]
[[File:Boragovid1.ogg]]
[[File:Borlenghi.1947.ogv]]
[[File:Comet Lovejoy passes close to the Sun.ogv]]
[[File:CJ hand balance August.ogg]]
[[File:EVD-bala-005.ogv]]
[[File:EVD-billar-001.ogv]]
[[File:EVD-espada-002.ogv]]
[[File:Creek full 1.ogg]]
[[File:EVD-bala-007.ogv]]
[[File:EVD-billar-003.ogv]]
[[File:EVD-florete-002.ogv]]
[[File:EVD-esgrima-001.ogv]]
[[File:EVD-bolos-001.ogv]]
[[File:EVD-martillo-006.ogv]]
[[File:Chained streams.ogg]]
[[File:EVD-espada-004.ogv]]
[[File:EVD-espada-006.ogv]]
[[File:EVD-sable-004.ogv]]
[[File:EVD-judo-008.ogv]]
[[File:EVD-sable-007.ogv]]
[[File:EVD-sable-000.ogv]]
[[File:EVD-taekwondo-005.ogv]]
[[File:EVD-taekwondo-009.ogv]]
[[File:EVD-bala-008.ogv]]
[[File:EVD-bolos-002.ogv]]
[[File:EVD-espada-000.ogv]]
[[File:Creek at Sunshine Plaz Near road.ogg]]
[[File:EVD-florete-004.ogv]]
[[File:EVD-bala-004.ogv]]
[[File:EVD-bala-003.ogv]]
[[File:EVD-judo-005.ogv]]
[[File:EVD-bolos-003.ogv]]
[[File:EVD-esgrima-002.ogv]]
[[File:EVD-judo-009.ogv]]
[[File:EVD-judo-006.ogv]]
[[File:EVD-esgrima-004.ogv]]
[[File:EVD-martillo-001.ogv]]
[[File:EVD-bala-006.ogv]]
[[File:EVD-martillo-002.ogv]]
[[File:EVD-espada-001.ogv]]
[[File:EVD-martillo-004.ogv]]
[[File:EVD-esgrima-000.ogv]]
[[File:EVD-martillo-005.ogv]]
[[File:EVD-martillo-003.ogv]]
[[File:EVD-taekwondo-008.ogv]]
[[File:EVD-espada-005.ogv]]
[[File:EVD-martillo-000.ogv]]
[[File:EVD-sable-002.ogv]]
[[File:EVD-taekwondo-000.ogv]]
[[File:EVD-florete-001.ogv]]
[[File:EVD-martillo-007.ogv]]
[[File:EVD-taekwondo-003.ogv]]
[[File:EVD-taekwondo-002.ogv]]
[[File:EVD-judo-001.ogv]]
[[File:EVD-taekwondo-010.ogv]]
[[File:EVD-bala-000.ogv]]
[[File:EVD-bolos-000.ogv]]
[[File:EVD-taekwondo-007.ogv]]
[[File:EVD-sable-005.ogv]]
[[File:EVD-espada-003.ogv]]
[[File:EVD-billar-002.ogv]]
[[File:EVD-judo-000.ogv]]
[[File:EVD-esgrima-003.ogv]]
[[File:EVD-bala-002.ogv]]
[[File:EVD-judo-002.ogv]]
[[File:EVD-florete-000.ogv]]
[[File:EVD-billar-000.ogv]]
[[File:EVD-judo-004.ogv]]
[[File:EVD-florete-003.ogv]]
[[File:EVD-judo-003.ogv]]
[[File:EVD-judo-007.ogv]]
[[File:EVD-sable-006.ogv]]
[[File:EVD-sable-001.ogv]]
[[File:EVD-bala-001.ogv]]
[[File:EVD-sable-003.ogv]]
[[File:EVD-taekwondo-001.ogv]]
[[File:EVD-taekwondo-004.ogv]]
[[File:EVD-taekwondo-006.ogv]]
[[File:Human alfa2beta2 hemoglobin.ogv]]
[[File:Jessie.ogg]]
[[File:Knight Sleeve Valve Engine.ogg]]
[[File:LalitaNamla(1).ogv]]
[[File:Isabel.ogv]]
[[File:LalitaNamla2.ogv]]
[[File:Making of Elephants Dream part 2 of 8.ogv]]
[[File:Madikeri Raja seat - Musical fountain show 3.ogg]]
[[File:Mopsvalp.ogg]]
[[File:Obama senate 10 01 08.ogg]]
[[File:Stef hits foul line jumper against Penn State.ogg]]
[[File:Short intro video for German Wikiversity.ogg]]
[[File:STS-101 landing.ogv]]
[[File:STS-119 ISS Flyaround.ogv]]
[[File:Sphynx kitten from Belarus - March 2012 - HD.ogv]]
[[File:TransMilenio of the Calle 100.ogv]]

jgerber wrote:

here the commands used:

oggz-rip -c theora -o theora.ogg $input
oggz-rip -c vorbis -o vorbis.ogg $input
gst-launch filesrc location=theora.org ! oggdemux ! video/x-theora ! queue ! theoraparse ! oggmux ! filesink location=theora.2.ogg
gst-launch filesrc location=vorbis.org ! oggdemux ! audio/x-vorbis ! queue ! vorbisparse ! oggmux ! filesink location=vobis.2.ogg
oggz-merge -o remux.ogg theora.2.ogg vorbis.2.ogg
OggIndex -o remux.ogg $output

looking at some of the videos listed, they have other issues. so just running those on all of them is not an option.
Some might work with TMH.

(In reply to comment #3)
I fixed the video speed issue for the EVD*.ogv ones. Not sure if there is still a problem with the others.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:40 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:40 PM
brion closed this task as Resolved.Oct 12 2015, 3:16 AM
brion claimed this task.
brion added a subscriber: brion.

This seems to have been resolved in the intervening time by switching thumbnailing to use ffmpeg directly.